Package org.w3._2000._09.xmldsig

# Class DSAKeyValue

java.lang.Object
org.w3._2000._09.xmldsig.DSAKeyValue

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class DSAKeyValue extends Object implements Serializable

Java class for DSAKeyValueType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DSAKeyValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <sequence minOccurs="0">
               <element name="P" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
               <element name="Q" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             </sequence>
             <element name="G" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary" minOccurs="0"/>
             <element name="Y" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             <element name="J" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary" minOccurs="0"/>
             <sequence minOccurs="0">
               <element name="Seed" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
               <element name="PgenCounter" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             </sequence>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DSAKeyValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getG()`
  Gets the value of the g property.
  `byte[]`
  `getJ()`
  Gets the value of the j property.
  `byte[]`
  `getP()`
  Gets the value of the p property.
  `byte[]`
  `getPgenCounter()`
  Gets the value of the pgenCounter property.
  `byte[]`
  `getQ()`
  Gets the value of the q property.
  `byte[]`
  `getSeed()`
  Gets the value of the seed property.
  `byte[]`
  `getY()`
  Gets the value of the y property.
  `void`
  `setG(byte[] value)`
  Sets the value of the g property.
  `void`
  `setJ(byte[] value)`
  Sets the value of the j property.
  `void`
  `setP(byte[] value)`
  Sets the value of the p property.
  `void`
  `setPgenCounter(byte[] value)`
  Sets the value of the pgenCounter property.
  `void`
  `setQ(byte[] value)`
  Sets the value of the q property.
  `void`
  `setSeed(byte[] value)`
  Sets the value of the seed property.
  `void`
  `setY(byte[] value)`
  Sets the value of the y property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DSAKeyValue

    public DSAKeyValue()

- ## Method Details

  - ### getP

    public byte[] getP()
    Gets the value of the p property.
    Returns:
      possible object is byte[]

  - ### setP

    public void setP(byte[] value)
    Sets the value of the p property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getQ

    public byte[] getQ()
    Gets the value of the q property.
    Returns:
      possible object is byte[]

  - ### setQ

    public void setQ(byte[] value)
    Sets the value of the q property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getG

    public byte[] getG()
    Gets the value of the g property.
    Returns:
      possible object is byte[]

  - ### setG

    public void setG(byte[] value)
    Sets the value of the g property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getY

    public byte[] getY()
    Gets the value of the y property.
    Returns:
      possible object is byte[]

  - ### setY

    public void setY(byte[] value)
    Sets the value of the y property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getJ

    public byte[] getJ()
    Gets the value of the j property.
    Returns:
      possible object is byte[]

  - ### setJ

    public void setJ(byte[] value)
    Sets the value of the j property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getSeed

    public byte[] getSeed()
    Gets the value of the seed property.
    Returns:
      possible object is byte[]

  - ### setSeed

    public void setSeed(byte[] value)
    Sets the value of the seed property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getPgenCounter

    public byte[] getPgenCounter()
    Gets the value of the pgenCounter property.
    Returns:
      possible object is byte[]

  - ### setPgenCounter

    public void setPgenCounter(byte[] value)
    Sets the value of the pgenCounter property.
    Parameters:
      `value` - allowed object is byte[]